Package org.jbpm.services.api.utils

## Interface KieServiceConfigurator

- All Known Implementing Classes:
    `DefaultKieServiceConfigurator`

      public interface KieServiceConfigurator

  Configurator for kie service.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` | Closes the configurator.
    `void` | `configureServices​(String puName, org.kie.internal.identity.IdentityProvider identityProvider, org.kie.api.task.UserGroupCallback userGroupCallback)` | Configures a new kie service.
    `DeploymentUnit` | `createDeploymentUnit​(String groupId, String artifactid, String version)` | Created a new deployment unit
    `AdvanceRuntimeDataService` | `getAdvanceVariableDataService()` | Return related data regarding variables (case, process, task)
    `DefinitionService` | `getBpmn2Service()` | Returns the definition service.
    `DeploymentService` | `getDeploymentService()` | Returns the deployment service.
    `org.kie.internal.identity.IdentityProvider` | `getIdentityProvider()` | Returns the identity provider.
    `ProcessInstanceAdminService` | `getProcessAdminService()` | Returns the process instance admin service
    `ProcessService` | `getProcessService()` | Returns the process service.
    `QueryService` | `getQueryService()` | Returns the query service
    `RuntimeDataService` | `getRuntimeDataService()` | Returns the runtime data service.
    `org.kie.api.task.UserGroupCallback` | `getUserGroupCallback()` | Returns the user group callback.
    `UserTaskService` | `getUserTaskService()` | Returns the user task service.

- - ### Method Detail

    - #### configureServices

          void configureServices​(String puName,
                                 org.kie.internal.identity.IdentityProvider identityProvider,
                                 org.kie.api.task.UserGroupCallback userGroupCallback)

      Configures a new kie service.
      Parameters:
        `puName` -
        `identityProvider` -
        `userGroupCallback` -

    - #### createDeploymentUnit

          DeploymentUnit createDeploymentUnit​(String groupId,
                                              String artifactid,
                                              String version)

      Created a new deployment unit
      Parameters:
        `groupId` -
        `artifactid` -
        `version` -
      Returns:

    - #### close

          void close()

      Closes the configurator.

    - #### getDeploymentService

          DeploymentService getDeploymentService()

      Returns the deployment service.
      Returns:

    - #### getBpmn2Service

          DefinitionService getBpmn2Service()

      Returns the definition service.
      Returns:

    - #### getRuntimeDataService

          RuntimeDataService getRuntimeDataService()

      Returns the runtime data service.
      Returns:

    - #### getAdvanceVariableDataService

          AdvanceRuntimeDataService getAdvanceVariableDataService()

      Return related data regarding variables (case, process, task)
      Returns:

    - #### getProcessService

          ProcessService getProcessService()

      Returns the process service.
      Returns:

    - #### getUserTaskService

          UserTaskService getUserTaskService()

      Returns the user task service.
      Returns:

    - #### getQueryService

          QueryService getQueryService()

      Returns the query service
      Returns:

    - #### getProcessAdminService

          ProcessInstanceAdminService getProcessAdminService()

      Returns the process instance admin service
      Returns:

    - #### getIdentityProvider

          org.kie.internal.identity.IdentityProvider getIdentityProvider()

      Returns the identity provider.
      Returns:

    - #### getUserGroupCallback

          org.kie.api.task.UserGroupCallback getUserGroupCallback()

      Returns the user group callback.
      Returns: